﻿* Encoding: UTF-8.

DATASET ACTIVATE DataSet3.


* Beratungsqualität

RELIABILITY
  /VARIABLES=BeratQual1 BeratQual2 BeratQual3 BeratQual4 BeratQual5 BeratQual6
  /SCALE('Beratungsqualität') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL MEANS.

*Selbstwirksamkeitserwartung

RELIABILITY
  /VARIABLES=ASWE1 ASWE2 ASWE3
  /SCALE('ASWE') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL MEANS.

RELIABILITY
  /VARIABLES=MSWE1 MSWE2 MSWE3 MSWE4
  /SCALE('MSWE') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL MEANS.

* Selbstregulation des Mathematik Lernens

RELIABILITY
  /VARIABLES=SLR1 SLR2 SLR3 SLR4 SLR5 
  /SCALE('SLR') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL MEANS.

* Selbstkonzept Mathematik

RELIABILITY
  /VARIABLES=SKM1 SKM2 SKM3 SKM4_umcodiert SKM5
  /SCALE('SKM teil1') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL MEANS.

RELIABILITY
  /VARIABLES=SKM6 SKM7 SKM8
  /SCALE('SKM teil2') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL MEANS.

* Studieninteresse 

RELIABILITY
  /VARIABLES=SIM1_umcodiert SIM2_umcodiert SIM3 SIM4_umcodiert SIM5 SIM6 SIM7 SIM8_umcodiert SIM9_umcodiert
  /SCALE('SIM') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL MEANS.

* Emotionen

RELIABILITY
  /VARIABLES=Freude1 Freude2 Freude3 Freude4 Freude5 Freude6
  /SCALE('Freude') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL MEANS.

* Studienzufriendenheit

RELIABILITY
  /VARIABLES=SZF1 SZF2 SZF3 
  /SCALE('Studienzufriedenheit-Studieninhalte') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL MEANS.

RELIABILITY
  /VARIABLES=SZF4 SZF5 SZF6
  /SCALE('Studienzufriedenheit-Studienbedingungen') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL MEANS.

RELIABILITY
  /VARIABLES=SZF7 SZF8 SZF9
  /SCALE('Studienzufriedenheit-Studienbelastungen') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL MEANS.

RELIABILITY
  /VARIABLES=Abbr1_umcodiert Abbr2 Abbr3
  /SCALE('Abbruch-/ Wechselneigung') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL MEANS.

* Einsatz von Lernstrategien

RELIABILITY
  /VARIABLES=Elab1 Elab2 Elab3
  /SCALE('Elaboration:Vernetzen') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL MEANS.

RELIABILITY
  /VARIABLES=Runter1 Runter2 Runter3
  /SCALE('Organisation:Vereinfachen') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL MEANS.




