﻿* Encoding: UTF-8.
*BEWERTUNG VON ZIELSETZUNGEN NACH DEM RAHMENMODELL

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Schließen von Defiziten im schulmathematischen Wissen".
*Skalenvariable wird nur berechnet, wenn mindestens 2 der 2 Items beantwortet wurden. 
COMPUTE DefiziteSchliessen_mean_4=MEAN.2(Inhalt3_4, Inhalt5_4).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Metawissen Hochschulmathematik".
*Skalenvariable wird nur berechnet, wenn mindestens 5 der 8 Items beantwortet wurden. 
COMPUTE MetawissenHochschulmathe_mean_4=MEAN.5(Inhalt16_4, Inhalt17_4, Inhalt18_4, Inhalt19_4, Inhalt20_4, Inhalt21_4, Inhalt22_4).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Neue (hoch)schulmathematische Inhalte".
*Skalenvariable wird nur berechnet, wenn mindestens 3 der 3 Items beantwortet wurden. 
COMPUTE NeueHochschulmathematischeThemen_mean_4=MEAN.3(Inhalt11_4, Inhalt12_4, Inhalt13_4).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Einschätzung der Relevanz von Schulmathematik in Studium und Beruf".
*Skalenvariable wird nur berechnet, wenn mindestens 3 der 3 Items beantwortet wurden. 
COMPUTE RelevanzSchulmathe_mean_4=MEAN.3(Inhalt7_4, Inhalt8_4, Inhalt9_4).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Schulmathematik vertieft beherrschen".
*Skalenvariable wird nur berechnet, wenn mindestens 3 der 3 Items beantwortet wurden. 
COMPUTE SchulmatheVertieft_mean_4=MEAN.3(Inhalt1_4, Inhalt2_4, Inhalt4_4).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Umgang mit fachsprachlichen Texten".
*Skalenvariable wird nur berechnet, wenn mindestens 2 der 2 Items beantwortet wurden. 
COMPUTE UmgangTexte_mean_4=MEAN.2(Inhalt14_4, Inhalt15_4).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Soziale Eingebundenheit: Lernen mit Kommilitonen".
*Skalenvariable wird nur berechnet, wenn mindestens 3 der 3 Items beantwortet wurden. 
COMPUTE SozEin_LIMST_mean_4=MEAN.3(SozEin5_4, SozEin6_4, SozEin7_4).
EXECUTE.

*EINSCHÄTZUNG DER EIGENEN STUDIENVORBEREITUNG
*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "(Einschätzung der eigenen) Studienvorbereitung".
*Skalenvariable wird nur berechnet, wenn mindestens 6 der 11 Items beantwortet wurden. 
COMPUTE Studvor_mean_4=MEAN.6(Studvor1_4, Studvor2_4, Studvor3_4, Studvor4_4, Studvor5_4, Studvor6_4, Studvor7_4, Studvor8_4, Studvor9_4, Studvor10_4, Studvor11_4).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Einschätzung der eigenen Studienvorbereitung - Sub-Skala: Einschätzung der Studienvorbereitung innerhalb der Institution".
*Skalenvariable wird nur berechnet, wenn mindestens 3 der 4 Items beantwortet wurden. 
COMPUTE Studvor_Institution_mean_4=MEAN.3(Studvor2_4, Studvor3_4, Studvor5_4, Studvor6_4).
EXECUTE.
*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Einschätzung der eigenen Studienvorbereitung - Sub-Skala: Selbstständiges Arbeiten und eigene Vorbereitung/ Individuelle Kompetenzen".
*Skalenvariable wird nur berechnet, wenn mindestens 3 der 4 Items beantwortet wurden. 
COMPUTE Studvor_IndivKompetenzen_mean_4=MEAN.3(Studvor1_4, Studvor7_4, Studvor10_4, Studvor11_4).
EXECUTE.

*AFFEKTIVE MERKMALE

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Mathematische Selbstwirksamkeitserwartung".
*Skalenvariable wird nur berechnet, wenn mindestens 3 der 4 Items beantwortet wurden. 
COMPUTE MSWE_mean_4=MEAN.3(MSWE1_4, MSWE2_4, MSWE3_4, MSWE4_4).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Studieninteresse Mathematik", inkl Umpolen negativ formulierter Items.
*Skalenvariable wird nur berechnet, wenn mindestens 5 der 9 Items beantwortet wurden. 
RECODE SIM1_4 SIM2_4 SIM4_4 SIM8_4 SIM9_4 (1=6) (2=5) (3=4) (4=3) (5=2) (6=1) INTO SIM1_4_umc 
    SIM2_4_umc SIM4_4_umc SIM8_4_umc SIM9_4_umc.
EXECUTE.
COMPUTE SIM_mean_4=MEAN.5(SIM1_4_umc, SIM2_4_umc, SIM3_4, SIM4_4_umc, SIM5_4, SIM6_4, SIM7_4, SIM8_4_umc, SIM9_4_umc).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Interesse an Mathematik - gekürzt".
*Skalenvariable wird nur berechnet, wenn mindestens 4 der 8 Items beantwortet wurden. 
COMPUTE SIM_neu_mean_4=MEAN.4(SIM1_4_umc, SIM2_4_umc, SIM3_4, SIM4_4_umc, SIM6_4, SIM7_4, SIM8_4_umc, SIM9_4_umc).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Interesse an Mathematik   Gefühlsbezogene  und persönlich-wertbezogene Valenz".
*Skalenvariable wird nur berechnet, wenn mindestens 3 der 5 Items beantwortet wurden. 
COMPUTE SIM_Gefühl_mean_4=MEAN.3(SIM1_4_umc, SIM2_4_umc, SIM3_4, SIM4_4_umc, SIM6_4).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Selbstkonzept Mathematik", inkl. Umpolen negativ formulierter Items.
*Skalenvariable wird nur berechnet, wenn mindestens 5 der 8 Items beantwortet wurden. 
RECODE SKM4_4 (1=4) (2=3) (3=2) (4=1) INTO SKM4_4_umc.
EXECUTE.
COMPUTE SKM_mean_4=MEAN.5(SKM1_4, SKM2_4, SKM3_4, SKM4_4_umc, SKM5_4, SKM6_4, SKM7_4, SKM8_4).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Selbstregulation des Lernens".
*Skalenvariable wird nur berechnet, wenn mindestens 3 der 5 Items beantwortet wurden. 
COMPUTE SRL_mean_4=MEAN.3(SRL1_4, SRL2_4, SRL3_4, SRL4_4, SRL5_4).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Emotionen (mathematikbezogene Angst)".
*Skalenvariable wird nur berechnet, wenn mindestens 3 der 3 Items beantwortet wurden. 
COMPUTE Angst_mean_4=MEAN.3(Angst1_4, Angst2_4, Angst3_4).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Emotionen (mathematikbezogene Freude)".
*Skalenvariable wird nur berechnet, wenn mindestens 4 der 6 Items beantwortet wurden. 
COMPUTE Freude_mean_4=MEAN.4(Freude1_4, Freude2_4, Freude3_4, Freude4_4, Freude5_4, Freude6_4).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "mathematikbezogene Freude - gekürzt".
*Skalenvariable wird nur berechnet, wenn mindestens 3 der 5 Items beantwortet wurden. 
COMPUTE Freude_neu_mean_4=MEAN.3(Freude1_4, Freude2_4, Freude3_4, Freude4_4, Freude5_4).
EXECUTE.

*ARBEITSWEISEN
*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Elaborieren – Beweise lernen".
*Skalenvariable wird nur berechnet, wenn mindestens 3 der 3 Items beantwortet wurden. 
COMPUTE ArbW_Bew_mean_4=MEAN.3(ArbW01_4, ArbW02_4, ArbW03_4).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Elaborieren – Nutzung von Beispielen".
*Skalenvariable wird nur berechnet, wenn mindestens 3 der 3 Items beantwortet wurden. 
COMPUTE ArbW_Bsp_mean_4=MEAN.3(ArbW07_4, ArbW08_4, ArbW09_4).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Elaborieren – Runterbrechen".
*Skalenvariable wird nur berechnet, wenn mindestens 3 der 3 Items beantwortet wurden. 
COMPUTE ArbW_runter_mean_4=MEAN.3(ArbW04_4, ArbW05_4, ArbW06_4).
EXECUTE.


*STUDIENZUFRIEDENHEIT UND ABBRUCHNEIGUNG.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Studienzufriedenheit:Studieninhalte".
*Skalenvariable wird nur berechnet, wenn mindestens 3 der 3 Items beantwortet wurden. 
COMPUTE SZ_Inh_mean_4=MEAN.3(SZ01_4, SZ02_4, SZ03_4).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Studienzufriedenheit:Studienbedingungen", vorher Umpolen der negativ formulierten Items.
*Skalenvariable wird nur berechnet, wenn mindestens 3 der 3 Items beantwortet wurden. 
RECODE SZ04_4 SZ05_4 SZ06_4 (1=5) (2=4) (3=3) (4=2) (5=1) INTO SZ04_4_umc SZ05_4_umc SZ06_4_umc.
EXECUTE.
COMPUTE SZ_Bedingung_mean_4=MEAN.3(SZ04_4_umc, SZ05_4_umc, SZ06_4_umc).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Studienzufriedenheit:Studienbelastung", vorher Umpolen der negativ formulierten Items.
*Skalenvariable wird nur berechnet, wenn mindestens 3 der 3 Items beantwortet wurden. 
RECODE SZ07_4 SZ08_4 SZ09_4 (1=5) (2=4) (3=3) (4=2) (5=1) INTO SZ07_4_umc SZ08_4_umc SZ09_4_umc.
EXECUTE.
COMPUTE SZ_Belastung_mean_4=MEAN.3(SZ07_4_umc, SZ08_4_umc, SZ09_4_umc).
EXECUTE.

*Berechnung der Skalenvariable (Skalenmittelwert) für die Skala "Abbruchneigung", vorher Umpolen des negativ formulierten Items.
*Skalenvariable wird nur berechnet, wenn mindestens 3 der 3 Items beantwortet wurden. 
RECODE Abbr1_4 (1=5) (2=4) (3=3) (4=2) (5=1) INTO Abbr1_4_umc.
EXECUTE.
COMPUTE SZ_Abbr_mean_4=MEAN.3(Abbr1_4, Abbr2_4_umc, Abbr3_4_umc).
EXECUTE.

